//------------------------------------------------------------------
//
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  LimeGreen
#property indicator_color2  Red
#property indicator_color3  PaleVioletRed
#property indicator_width3  2
#property indicator_style1  STYLE_DOT
#property indicator_style2  STYLE_DOT

extern int AdxPeriod = 14;
extern int AdxPrice  = PRICE_CLOSE;
extern int Precision = 4;

//
//
//
//
//

double adx[];
double dmm[];
double dmp[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorDigits(Precision);
   SetIndexBuffer(0,dmm);
   SetIndexBuffer(1,dmp);
   SetIndexBuffer(2,adx);
   return(0);
}

//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   for(int i=limit; i>=0; i--)
   {
      adx[i] = iADX(NULL,0,AdxPeriod,AdxPrice,MODE_MAIN,i);
      dmm[i] = iADX(NULL,0,AdxPeriod,AdxPrice,MODE_MINUSDI,i);
      dmp[i] = iADX(NULL,0,AdxPeriod,AdxPrice,MODE_PLUSDI,i);
   }
   return(0);
}

